com.dlsc.flexgantt.swing.scheduling

## Class ResolutionTableCellEditor

- java.lang.Object
- - javax.swing.AbstractCellEditor
  - - javax.swing.DefaultCellEditor
    - - com.dlsc.flexgantt.swing.scheduling.ResolutionTableCellEditor

- All Implemented Interfaces:
    ActionListener, Serializable, EventListener, CellEditor, TableCellEditor, TreeCellEditor

      public class ResolutionTableCellEditor
      extends DefaultCellEditor
      implements ActionListener

  A cell editor used inside the `ConstraintViolationMessageTable` for choosing a resolution for a violated constraint. The user can perform a single click on the warning / error icon in the table and pick a resolution from the drop-down list.
  Since:
    2.1
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor

      `DefaultCellEditor.EditorDelegate`

  - ### Field Summary

    - ### Fields inherited from class javax.swing.DefaultCellEditor

      `clickCountToStart, delegate, editorComponent`

    - ### Fields inherited from class javax.swing.AbstractCellEditor

      `changeEvent, listenerList`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResolutionTableCellEditor(LayerContainer lc)` Constructs a new cell editor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent evt)`
    `Component` | `getTableCellEditorComponent(JTable table, Object value, boolean isSelected, int row, int column)`

    - ### Methods inherited from class javax.swing.DefaultCellEditor

      `cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

    - ### Methods inherited from class javax.swing.AbstractCellEditor

      `addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.swing.CellEditor

      `addCellEditorListener, removeCellEditorListener`

- - ### Constructor Detail

    - #### ResolutionTableCellEditor

          public ResolutionTableCellEditor(LayerContainer lc)

      Constructs a new cell editor.
      Parameters:
        `lc` - the layer container where the selected resolution will be applied
      Since:
        2.1

  - ### Method Detail

    - #### getTableCellEditorComponent

          public Component getTableCellEditorComponent(JTable table,
                                                       Object value,
                                                       boolean isSelected,
                                                       int row,
                                                       int column)

      Specified by:
        `getTableCellEditorComponent` in interface `TableCellEditor`
      Overrides:
        `getTableCellEditorComponent` in class `DefaultCellEditor`

    - #### actionPerformed

          public void actionPerformed(ActionEvent evt)

      Specified by:
        `actionPerformed` in interface `ActionListener`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.